Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156944 - nautilus crash at startup with SIG33
Summary: nautilus crash at startup with SIG33
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-05 16:03 UTC by Joe Orton
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-21 22:46:20 UTC


Attachments (Terms of Use)

Description Joe Orton 2005-05-05 16:03:02 UTC
Description of problem:
gdb /usr/bin/nautilus
...

(gdb) run
...
Program received signal SIG33, Real-time event 33.
[Switching to Thread -1222706256 (LWP 7993)]
0x00ec9402 in __kernel_vsyscall ()
(gdb) t a a bt

Thread 6 (Thread -1222706256 (LWP 7993)):
#0  0x00ec9402 in __kernel_vsyscall ()
#1  0x00a867a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034a22db in _gnome_vfs_thread_pool_init () from /usr/lib/libgnomevfs-2.so.0
#3  0x00d03e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#4  0x00a84b80 in start_thread () from /lib/libpthread.so.0
#5  0x00906b9e in clone () from /lib/libc.so.6

Thread 5 (Thread -1222440016 (LWP 7992)):
#0  0x00ec9402 in __kernel_vsyscall ()
#1  0x00a867a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034a22db in _gnome_vfs_thread_pool_init () from /usr/lib/libgnomevfs-2.so.0
#3  0x00d03e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#4  0x00a84b80 in start_thread () from /lib/libpthread.so.0
#5  0x00906b9e in clone () from /lib/libc.so.6

Thread 4 (Thread -1222173776 (LWP 7991)):
#0  0x00ec9402 in __kernel_vsyscall ()
#1  0x00a867a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034a22db in _gnome_vfs_thread_pool_init () from /usr/lib/libgnomevfs-2.so.0
#3  0x00d03e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#4  0x00a84b80 in start_thread () from /lib/libpthread.so.0
#5  0x00906b9e in clone () from /lib/libc.so.6

Thread 3 (Thread -1221907536 (LWP 7990)):
#0  0x00ec9402 in __kernel_vsyscall ()
#1  0x00a867a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x034a22db in _gnome_vfs_thread_pool_init () from /usr/lib/libgnomevfs-2.so.0
#3  0x00d03e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#4  0x00a84b80 in start_thread () from /lib/libpthread.so.0
#5  0x00906b9e in clone () from /lib/libc.so.6

Thread 2 (Thread -1211401296 (LWP 7976)):
#0  0x00ec9402 in __kernel_vsyscall ()
#1  0x00a88f91 in __lll_mutex_unlock_wake () from /lib/libpthread.so.0
#2  0x00a85e88 in _L_mutex_unlock_148 () from /lib/libpthread.so.0
#3  0xb7cb7278 in ?? ()
#4  0x033f800e in giop_recv_buffer_unuse () from /usr/lib/libORBit-2.so.0
#5  0x033f800e in giop_recv_buffer_unuse () from /usr/lib/libORBit-2.so.0
#6  0x033f8ed6 in giop_connection_handle_input () from /usr/lib/libORBit-2.so.0
#7  0x0341528d in link_connection_set_max_buffer () from /usr/lib/libORBit-2.so.0
#8  0x03416e33 in link_servers_move_io_T () from /usr/lib/libORBit-2.so.0
#9  0x00ce83ee in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#10 0x00ceb3f6 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#11 0x00ceb6e3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#12 0x034133be in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#13 0x00d03e9a in g_static_private_free () from /usr/lib/libglib-2.0.so.0
#14 0x00a84b80 in start_thread () from /lib/libpthread.so.0
#15 0x00906b9e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208755744 (LWP 7943)):
#0  0x00ec9402 in __kernel_vsyscall ()
#1  0x00a839e6 in __nptl_setxid () from /lib/libpthread.so.0
#2  0x008fef78 in seteuid () from /lib/libc.so.6
#3  0x0349360d in gnome_vfs_method_init () from /usr/lib/libgnomevfs-2.so.0
#4  0x034937d0 in gnome_vfs_transform_get () from /usr/lib/libgnomevfs-2.so.0
#5  0x034a3351 in gnome_vfs_uri_new_private () from /usr/lib/libgnomevfs-2.so.0
#6  0x034a34a0 in gnome_vfs_uri_new () from /usr/lib/libgnomevfs-2.so.0
#7  0x0808ab6b in nautilus_window_initialize_menus ()
#8  0x0808b717 in nautilus_window_allow_stop ()
#9  0x00d9ccf1 in g_type_create_instance () from /usr/lib/libgobject-2.0.so.0
#10 0x00d83830 in g_object_thaw_notify () from /usr/lib/libgobject-2.0.so.0
#11 0x00d84489 in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#12 0x00d850e3 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#13 0x00607a4f in gtk_widget_new () from /usr/lib/libgtk-x11-2.0.so.0
#14 0x08068458 in nautilus_application_close_all_spatial_windows ()
#15 0x080686d3 in nautilus_application_present_spatial_window_with_selection ()
#16 0x08068913 in nautilus_application_present_spatial_window ()
#17 0x08081ef4 in nautilus_shell_new ()
#18 0x0340c58d in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#19 0x0806756c in Nautilus_Shell_open_default_window ()
#20 0x08069a4e in nautilus_application_startup ()
#21 0x08078226 in main ()

Version-Release number of selected component (if applicable):
nautilus-2.10.0-3.i386

Comment 1 Matthias Clasen 2005-10-21 22:46:20 UTC
This is just gdb not ignoring the real-time signals, not an actual nautilus crash.


Note You need to log in before you can comment on or make changes to this bug.